Package picard.vcf.filter

## Class GenotypeQualityFilter

- java.lang.Object
- - picard.vcf.filter.GenotypeQualityFilter

- All Implemented Interfaces:
    `GenotypeFilter`

      public class GenotypeQualityFilter
      extends Object
      implements GenotypeFilter

  Genotype filter that filters out genotypes below a given quality threshold.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenotypeQualityFilter​(int minGq)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `filter​(htsjdk.variant.variantcontext.VariantContext ctx, htsjdk.variant.variantcontext.Genotype gt)` | Test whether or not the genotype should be filtered out.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenotypeQualityFilter

          public GenotypeQualityFilter​(int minGq)

  - ### Method Detail

    - #### filter

          public String filter​(htsjdk.variant.variantcontext.VariantContext ctx,
                               htsjdk.variant.variantcontext.Genotype gt)

      Description copied from interface: `GenotypeFilter`
      Test whether or not the genotype should be filtered out. If so return a filter string, otherwise return null.
      Specified by:
        `filter` in interface `GenotypeFilter`